import java.awt.*;
import java.awt.event.*;
import java.io.*;

public class FileViewer extends Frame {
	
	TextArea textarea;
	
	public FileViewer() {
		super("");
				
		textarea = new TextArea();
		textarea.setEditable(false);
		add(textarea);
		
		setSize(400,300);
		
		this.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				setVisible(false);
		}});
	}
	
	public void setFile(String title, String file) {
		setTitle(title);
		String text="",str="";
		try {
			DataInputStream in = new DataInputStream(new FileInputStream(file));
			while((str = in.readLine()) != null) {
				text += str+"\n";
			}
		}
		catch (Exception e) {}
		textarea.setText(text);
		setVisible(true);
	}
	
}
